# clockselect

The clockselect element is a pipeline that enables one to choose its clock. By default, pipelines chose a clock depending on its elements, however the clockselect pipeline has some properties to force an arbitrary clock on it.

Example launch line |[ gst-launch-1.0 -v clockselect. \( clock-id=ptp domain=1 fakesrc ! fakesink \) ]| This example will create a pipeline and use the PTP clock with domain 1 on it.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstPipeline
                            ╰──clockselect

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Ederson de Souza

Classification: – `Generic/Bin`

Rank – none

Plugin – debugutilsbad

Package – GStreamer Bad Plug-ins

## Properties

### clock-id

    “clock-id” Clock-select-clock-id *

ID of pipeline clock

Flags : Read / Write

Default value : default (0)

### ptp-domain

    “ptp-domain” guint

PTP clock domain (meaningful only when Clock ID is PTP)

Flags : Read / Write

Default value : 0

## Named constants

### Clock-select-clock-id

#### Members

`default` (0) – Default (elected from elements) pipeline clock
`monotonic` (1) – System monotonic clock
`realtime` (2) – System realtime clock
`ptp` (3) – PTP clock
`tai` (4) – System TAI clock

The results of the search are